light-mode-image
Learn
API ReferenceRICAL Signers

Retrieve a RICAL signer

Roles

admindts-provider

Analytics Events

ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_RETRIEVE_STARTECOSYSTEM_RICAL_SIGNER_CERTIFICATE_RETRIEVE_SUCCESSECOSYSTEM_RICAL_SIGNER_CERTIFICATE_RETRIEVE_FAIL
GET/v1/ecosystems/certificates/rical-signers/{ricalSignerId}

Retrieves a RICAL signer.

Analytic events

  • ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_RETRIEVE_START
  • ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_RETRIEVE_SUCCESS
  • ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_RETRIEVE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

ricalSignerId*string

Unique identifier of the RICAL signer.

Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/ecosystems/certificates/rical-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "active": true,  "certificatePem": "string",  "certificateFingerprint": "string",  "certificateData": {    "commonName": "string",    "country": "string",    "notAfter": "2019-08-24T14:15:22Z",    "notBefore": "2019-08-24T14:15:22Z"  }}

How would you rate this page?